<template>
  <span class="badge default" :class="type">
    {{ text }}
  </span>
</template>

<script>
export default {
  props: ['type', 'title'],
  computed: {
    text() {
      return this.title;
    }
  }
}
</script>

<style scoped>
.badge {
  background-color: lightseagreen;
  color: lightseagreen;
  border-radius: 30px;
  padding: 0.5rem 1.5rem;
  display: inline-block;
  margin-right: 0.5rem;
}
.frontend {
  background-color: #000e8d;
  color: white;
}
.backend {
  background-color: #650eac;
  color: white;
}
.home {
  background-color: #000e8d;
  color: white;
}
.out {
  background-color: #650eac;
  color: white;
}
.career {
  background-color: #b3008c;
  color: white;
}
.default {
  background-color: lightseagreen;
  color: white;
}
</style>